CREATE TABLE bm_cm_lyt_line_item_grid (
    ID                             NUMBER(18, 0) ,
    LAYOUT_MODEL_ID                NUMBER(18, 0)     NOT NULL,
    LABEL                          VARCHAR2(1020),
    VARIABLE_NAME                  VARCHAR2(1020),
    DESCRIPTION                    VARCHAR2(4000),
    LINE_ITEM_DISPLAY_TYPE         NUMBER(1, 0)  ,
    DISPLAY_ADD_FROM_CATALOG       NUMBER(1, 0)  ,
    LINE_ITEM_DELETION_TYPE        NUMBER(1, 0)  ,
    INVOKE_RECONFIGURATION_TYPE    NUMBER(1, 0)  ,
    LINE_ITEM_COPY_TYPE            NUMBER(1, 0)  ,
    LINE_ITEM_COPY_TO_FAV_TYPE     NUMBER(1, 0)  ,
    DATE_ADDED                     DATE              NOT NULL,
    DATE_MODIFIED                  DATE              NOT NULL,
    PAGE_SIZE                      NUMBER(5, 0)      NOT NULL,
    DISPLAY_ADD_ADHOC_ITEM         NUMBER(1, 0)  ,
    GUID                           VARCHAR2(1020)    NOT NULL,
    IS_HEADER_STICKY               NUMBER(1, 0)      NOT NULL,
    PAGING_SOURCE                  NUMBER(1, 0)      NOT NULL,
    ALLOW_PAGE_RESIZE              NUMBER(1, 0)  ,
    DISPLAY_ACTIONS_ON_LINE        NUMBER(1, 0)  ,
    ENABLE_PRICE_WATER_FALL        NUMBER(1, 0)  ,
    ID                             NUMBER(18, 0) ,
    LAYOUT_MODEL_ID                NUMBER(18, 0)     NOT NULL,
    LABEL                          VARCHAR2(1020),
    VARIABLE_NAME                  VARCHAR2(1020),
    DESCRIPTION                    VARCHAR2(4000),
    LINE_ITEM_DISPLAY_TYPE         NUMBER(1, 0)  ,
    DISPLAY_ADD_FROM_CATALOG       NUMBER(1, 0)  ,
    LINE_ITEM_DELETION_TYPE        NUMBER(1, 0)  ,
    INVOKE_RECONFIGURATION_TYPE    NUMBER(1, 0)  ,
    LINE_ITEM_COPY_TYPE            NUMBER(1, 0)  ,
    LINE_ITEM_COPY_TO_FAV_TYPE     NUMBER(1, 0)  ,
    DATE_ADDED                     DATE              NOT NULL,
    DATE_MODIFIED                  DATE              NOT NULL,
    PAGE_SIZE                      NUMBER(5, 0)      NOT NULL,
    DISPLAY_ADD_ADHOC_ITEM         NUMBER(1, 0)  ,
    GUID                           VARCHAR2(1020)    NOT NULL,
    IS_HEADER_STICKY               NUMBER(1, 0)      NOT NULL,
    PAGING_SOURCE                  NUMBER(1, 0)      NOT NULL,
    ALLOW_PAGE_RESIZE              NUMBER(1, 0)  ,
    DISPLAY_ACTIONS_ON_LINE        NUMBER(1, 0)  ,
    ENABLE_PRICE_WATER_FALL        NUMBER(1, 0)  ,
    CONSTRAINT pk_bm_cm_lyt_line_item_grid PRIMARY KEY (ID, ID)
);
